<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Dozent\Anwesenheiten\AnwesenheitenSpeichern;

class AnwesenheitenSpeichernPresenter extends \Kufer\Web\KuferTools\Basis\Presenter\JsonPresenter
{
  public function present()
  {
    $obj = new \stdClass();
    
    $obj->unterrichtsMittel = $this->useCaseResponse->unterrichtsMittel;
    $obj->statusCode = $this->useCaseResponse->statusCode;
    $obj->anwExtraStoreAry = $this->useCaseResponse->anwExtraStoreAry;
    
    $obj->verhaltensInfo = $this->useCaseResponse->verhaltensInfo;
    
    
    return \JsonOperations::encode4Ajax($obj);
  }

  protected function getView()
  {
    return null;
  }

  protected function getViewModel()
  {
    return null;
  }

  public function getEncoding()
  {
    return UTF_8;
  }
}